- Qt 6.8
- Qt Quick
- QML Types
- QtQuick.Shapes
- ConicalGradient
- Qt 6.8.3 Reference Documentation

# ConicalGradient QML Type

Conical gradient. More...

Import Statement: | `import QtQuick.Shapes 1.8`
Inherits: | ShapeGradient

- List of all members, including inherited members

## Properties

- angle : real
- centerX : real
- centerY : real

## Detailed Description

Conical gradients interpolate colors counter-clockwise around a center point in Shape items.

Note: The spread mode setting has no effect for conical gradients.

Note: ConicalGradient is only supported in combination with Shape items. It is not compatible with Rectangle, as that only supports Gradient.

See also QConicalGradient.

## Property Documentation

centerX : real
centerY : real

These properties define the center point of the conical gradient.

angle : real

This property defines the start angle for the conical gradient. The value is in degrees (0-360).